package net.cephas.blog;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

/**
 * @author JOHNSONAA
 *
 */
public class DeliciousPosterConfig {

	private String blogusername;
	private String blogpassword;
	private String blogurl;
	private String blogid;
	private String delicioususername;
	private String deliciouspassword;
	private String velocitytemplate;
	
	private DeliciousPosterConfig() { }
	
	public static DeliciousPosterConfig parseProperties(String properties) throws IOException {
		Properties props = new Properties();
		props.load(new FileInputStream(properties));
		DeliciousPosterConfig config = new DeliciousPosterConfig();
		config.setDelicioususername(props.getProperty("delicioususername"));
		config.setDeliciouspassword(props.getProperty("deliciouspassword"));
		config.setBlogusername(props.getProperty("blogusername"));
		config.setBlogpassword(props.getProperty("blogpassword"));
		config.setBlogurl(props.getProperty("blogurl"));
		config.setBlogid(props.getProperty("blogid"));
		config.setVelocitytemplate(props.getProperty("velocitytemplate"));
		return config;
	}

	public String getBlogid() {
		return blogid;
	}

	public void setBlogid(String blogid) {
		this.blogid = blogid;
	}

	public String getBlogpassword() {
		return blogpassword;
	}

	public void setBlogpassword(String blogpassword) {
		this.blogpassword = blogpassword;
	}

	public String getBlogurl() {
		return blogurl;
	}

	public void setBlogurl(String blogurl) {
		this.blogurl = blogurl;
	}

	public String getBlogusername() {
		return blogusername;
	}

	public void setBlogusername(String blogusername) {
		this.blogusername = blogusername;
	}

	public String getDeliciouspassword() {
		return deliciouspassword;
	}

	public void setDeliciouspassword(String deliciouspassword) {
		this.deliciouspassword = deliciouspassword;
	}

	public String getDelicioususername() {
		return delicioususername;
	}

	public void setDelicioususername(String delicioususername) {
		this.delicioususername = delicioususername;
	}

	public String getVelocitytemplate() {
		return velocitytemplate;
	}

	public void setVelocitytemplate(String velocitytemplate) {
		this.velocitytemplate = velocitytemplate;
	}
	
	

}
